#ifndef PAMVMC_DET_AC_H
#define PAMVMC_DET_AC_H

#include "PamVMCDetector.h"

#include "PamVMCDetCard.h"
#include "PamVMCDetCas.h"
#include "PamVMCDetCat.h"



class PamVMCDetAc  : public PamVMCDetector {

 public:


   PamVMCDetAc():PamVMCDetector("Ac") 
  { 
    TString t = "Card";
    fsubdet.Add( new TObjString(t), new PamVMCDetCard());
    t = "Cas";
    fsubdet.Add( new TObjString(t), new PamVMCDetCas());
    t = "Cat";
    fsubdet.Add( new TObjString(t), new PamVMCDetCat());
  };
 

   void DefineGeometry(){;}

   void DefineCuts(){;}
   
  ClassDef(PamVMCDetAc,1)
};


#endif //PAMVMC_DET_AC_H
